Kirjoittaja Aihe: OpenSuse aloittelijan m-mediaan liittyviä ongelmia  (Luettu 4419 kertaa)

0 jäsentä ja 1 Vieras katselee tätä aihetta.

moro-mies

  • Vieras
Ensin suorituskyvyllinen kysymys
Koodia: [Valitse]
nice -n $nice mencoder -v\
         $tiedosto.m2v\
     -vf pp=lb,harddup\
        -ovc x264 -x264encopts subq=4:bframes=3:b_pyramid:weight_b:turbo=1:pass=1:psnr:bitrate=$rate:threads=auto\
        -oac copy\
        -of rawvideo\
        -o $tiedosto.264

tuottaa tälläisen topin

Koodia: [Valitse]
Cpu0  : 60.0%us,  1.0%sy,  0.0%ni, 36.7%id,  1.3%wa,  0.0%hi,  1.0%si,  0.0%st
Cpu1  : 64.7%us,  0.7%sy,  0.0%ni, 34.3%id,  0.0%wa,  0.0%hi,  0.3%si,  0.0%st
Mem:    963016k total,   953284k used,     9732k free,    12100k buffers
Swap:   996020k total,      116k used,   995904k free,   535556k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
32096 jep      25   0  186m  33m 4316 R  110  3.6  14:07.72 mencoder

sitten perään
Koodia: [Valitse]
su
renice -18 mencoder
Ei vaikutusta  :-\. Missä on vikaa?

Sitten yritän kääntää 64 bittiselle maxemumtvguidea ja ./configure antaa tämän:

Koodia: [Valitse]
checking for Qt... configure: error: Qt (>= Qt 3.0) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!


Olisi kiva jos nämä nyt saataisiin ratkaistua. Terveisin ent (vakauden vuoksi) Debian-käyttäjä  ;).

Muoks.

Suorituskyky saatiin kuntoon kääntämällä mplayer, mencoder ja x264.
« Viimeksi muokattu: 06.11.2007 - klo:10:31 kirjoittanut moro-mies »

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: Aloittelijan m-mediaan liittyviä ongelmia
« Vastaus #1 : 05.11.2007 - klo:22:19 »

Sitten yritän kääntää 64 bittiselle maxemumtvguidea ja ./configure antaa tämän:

Koodia: [Valitse]
checking for Qt... configure: error: Qt (>= Qt 3.0) (library qt-mt) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!


Olettaen että tarpeelliset -devel paketit on asennettuna, niin kokeile
--with-qt-libraries=/usr/lib64/qt3/lib64
vipua
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

moro-mies

  • Vieras
Vs: Aloittelijan m-mediaan liittyviä ongelmia
« Vastaus #2 : 06.11.2007 - klo:10:29 »
Koodia: [Valitse]
./configure --prefix=/opt/kde3 --with-qt-libraries=/usr/lib/qt3/lib64 
.
.
.
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE libraries installed. This will fail.
So, check this please and use another prefix!

kdelibs3-devel on asennettu  ???

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: Aloittelijan m-mediaan liittyviä ongelmia
« Vastaus #3 : 06.11.2007 - klo:15:41 »
Koodia: [Valitse]
./configure --prefix=/opt/kde3 --with-qt-libraries=/usr/lib/qt3/lib64 
.
.
.
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE libraries installed. This will fail.
So, check this please and use another prefix!

kdelibs3-devel on asennettu  ???

Kerro sille --bindir ja --libdir jotenkin näin

./configure --bindir=/opt/kde3/bin --libdir=/opt/kde3/lib64/ --with-qt-libraries=/usr/lib64/qt3/lib64
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)

moro-mies

  • Vieras
Vs: Aloittelijan m-mediaan liittyviä ongelmia
« Vastaus #4 : 06.11.2007 - klo:16:12 »

./configure --bindir=/opt/kde3/bin --libdir=/opt/kde3/lib64/ --with-qt-libraries=/usr/lib64/qt3/lib64

Kiitän. Asentui kde-sälän joukkoon, kun käytti vielä --prefix=/opt/kde3

Koodia: [Valitse]
./configure --bindir=/opt/kde3/bin --libdir=/opt/kde3/lib64/ --with-qt-libraries=/usr/lib64/qt3/lib64 --prefix=/opt/kde3   

Poissa jmp

  • openSUSE Member
  • *
  • Viestejä: 4553
  • Sukupuoli: Mies
    • openSUSEa suomeksi
Vs: OpenSuse aloittelijan m-mediaan liittyviä ongelmia
« Vastaus #5 : 06.11.2007 - klo:16:18 »
No hyvä että sait toimimaan.
Ja muistakaa pitää hauskaa ;)

openSUSE Tumbleweed (x86_64)